export default Menu;
/** @type {React.ComponentType<any>} */
declare class Menu extends React.PureComponent<any, any, any> {
    static getDerivedStateFromProps(props: any, state: any): {
        active: any;
        position: any;
    } | null;
    constructor(props: any);
    constructor(props: any, context: any);
    state: {};
    menuNode: React.RefObject<any>;
    menuWrapper: React.RefObject<any>;
    componentDidMount(): void;
    componentDidUpdate(prevState: any): void;
    show(): void;
    hide(): void;
    componentWillUnmount(): void;
    addEvents(): void;
    removeEvents(): void;
    handleDocumentClick: (event: any) => void;
    handleSelect: (item: any, event: any) => void;
    calculatePosition(): string | undefined;
    getRootStyle(): {
        width: any;
        height: any;
    } | undefined;
    getMenuStyle(): {
        clip: string;
    } | {
        clip?: undefined;
    };
    getActiveMenuStyle(): {
        clip: string;
    };
    getMenuStyleByPosition(): {
        clip?: undefined;
    } | {
        clip: string;
    };
    getItems(): {}[] | null | undefined;
    render(): JSX.Element;
}
declare namespace Menu {
    const propTypes: React.WeakValidationMap<any> | undefined;
    const defaultProps: Partial<any> | undefined;
}
import React from "react";
